[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# MergeSort

Deprecated.

## Declaration

Source position: lclproc.pas line 80

`procedure MergeSort(`
`List: TFPList;`
`const OnCompare: TListSortCompare`
`); overload; procedure MergeSort(`
`List: TFPList;`
`StartIndex: Integer;`
`EndIndex: Integer;`
`const OnCompare: TListSortCompare`
`); overload; procedure MergeSort(`
`List: TStrings;`
`const OnCompare: TStringsSortCompare`
`); overload;`

## Description

Use the MergeSort routine in the lazutilities.pas unit (LazUtils) instead.

## Version info

Deprecated in LCL version 3.99 (Apr 2024).